From c0c26658bbc63c29acf8e1744473895a312af274 Mon Sep 17 00:00:00 2001
From: Thomas Kluyver <thomas@kluyver.me.uk>
Date: Wed, 31 Aug 2016 14:45:33 +0100
Subject: [PATCH] Don't install jupyter module

The 'jupyter' module was moved into the jupyter_core distribution.

As far as I can tell, there's no requirement that a distribution
actually includes any importable modules, so the 'jupyter' distribution
can just be a pure metapackage.

I've updated the version number in anticipation of pushing a new release
with this.

Closes jupyter/jupyter_core#85
---
 jupyter.py | 10 ----------
 setup.py   |  4 ++--
 2 files changed, 2 insertions(+), 12 deletions(-)
 delete mode 100644 jupyter.py

diff --git a/jupyter.py b/jupyter.py
deleted file mode 100644
index 3271945..0000000
--- a/jupyter.py
+++ /dev/null
@@ -1,10 +0,0 @@
-"""Launch the root jupyter command
-
-Alias to jupyter_core
-"""
-
-__version__ = '1.0.0'
-
-if __name__ == '__main__':
-    from runpy import run_module
-    run_module('jupyter_core')
diff --git a/setup.py b/setup.py
index 12283de..3ff9cea 100644
--- a/setup.py
+++ b/setup.py
@@ -17,12 +17,12 @@
 
 setup_args = dict(
     name                = 'jupyter',
-    version             = '1.0.0',
+    version             = '1.1.0',
     description         = "Jupyter metapackage. Install all the Jupyter components in one go.",
     long_description    = """Install the Jupyter system, including the notebook, qtconsole, and the IPython kernel.""",
     author              = "Jupyter Development Team",
     author_email        = "jupyter@googlegroups.org",
-    py_modules          = ['jupyter'],
+    py_modules          = [],
     install_requires    = [
         'notebook',
         'qtconsole',
